Update a report. All fields are optional; only the fields you send are changed.publicId is write-once: you may assign one to a report that does not have one yet — which is how a report created before stable ids is adopted into as-code management, so PUT /reports/by-public-id/{publicId} can key on it — but a report’s existing publicId cannot be changed, since clients may already have stored it. Attempting to change it returns 400; a publicId already used by another report returns 409.The id you assign must be one you chose (any distinct 12-character [0-9A-Za-z] id). The auto-generated placeholder id shown for a report that has no stable id yet cannot be assigned — it is not unique — and is rejected with 400.Requires edit access to the report. Moving it to a different parent requires manage access to the report and edit access to the destination.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cube Documentation","colors":{"primary":"#5339CF","light":"#A5A3FF","dark":"#716EEE"},"logo":{"light":"https://mintcdn.com/cubed3/wCTntgEXVYYYnx4l/logo/light.svg?fit=max\u0026auto=format\u0026n=wCTntgEXVYYYnx4l\u0026q=85\u0026s=8bbf45ba64eac6116629064fac55aad7","dark":"https://mintcdn.com/cubed3/wCTntgEXVYYYnx4l/logo/dark.svg?fit=max\u0026auto=format\u0026n=wCTntgEXVYYYnx4l\u0026q=85\u0026s=d8fa230950c8c63b3c2f88d2768694d0"},"favicon":"https://mintcdn.com/cubed3/wCTntgEXVYYYnx4l/favicon.svg?fit=max\u0026auto=format\u0026n=wCTntgEXVYYYnx4l\u0026q=85\u0026s=3b0cb7aa770d2abd546ef19463fbba8c","navbar":{"links":[{"href":"https://cube.dev/demos","label":"Demos"},{"href":"https://cube.dev/changelog","label":"Changelog"},{"href":"https://slack.cube.dev","label":"Community"}],"primary":{"type":"button","label":"Get Started","href":"https://cubecloud.dev/auth/signup"}},"footer":{"socials":{"x":"https://x.com/the_cube_dev","github":"https://github.com/cube-js/cube","linkedin":"https://www.linkedin.com/company/cube-dev"}},"seo":{"metatags":{"og:type":"website","og:site_name":"Cube Documentation"},"indexing":"navigable"},"icons":{"library":"tabler"},"styling":{"codeblocks":"dark","latex":false},"integrations":{"gtm":{"tagId":"GTM-52W7VM2"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cubed3","hasAudioNarration":false,"actualSubdomain":"cubed3","customDomains":["docs.cube.dev"],"gitSource":{"type":"github","owner":"cube-js","repo":"cube","deployBranch":"master","contentDirectory":"docs-mintlify","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae385f2b69b90fea4f277f6","collectionId":"0ee6fad6-7bda-43a2-ac40-9f4ceb2743f5","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae385f2b69b90fea4f277f6"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae385f2b69b90fea4f277f6","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API","count":232},{"language":"default","tag":"Platform Endpoints","count":225},{"language":"default","tag":"Documentation","count":101},{"language":"default","tag":"Admin","count":94},{"language":"default","tag":"Data Modeling","count":65},{"language":"default","tag":"Recipes","count":47},{"language":"default","tag":"Topics","count":47},{"language":"default","tag":"Reference","count":44},{"language":"default","tag":"Connect to data","count":31},{"language":"default","tag":"Explore \u0026 Analyze","count":30}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#content-area table,.mdx-content table{width:100%!important}"}],"page":{"pagePath":"api-reference/reports/update-a-report","slug":"/api-reference/reports/update-a-report","pageMetadata":{"title":"Update a report","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/{reportId}","href":"/api-reference/reports/update-a-report","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Update a report. All fields are optional; only the fields you send are changed.`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`publicId`}),` is `,_jsx(_components.strong,{children:`write-once`}),`: you may assign one to a report that does not have one yet — which is how a report created before stable ids is adopted into as-code management, so `,_jsx(_components.code,{children:`PUT /reports/by-public-id/{publicId}`}),` can key on it — but a report’s existing `,_jsx(_components.code,{children:`publicId`}),` cannot be changed, since clients may already have stored it. Attempting to change it returns `,_jsx(_components.code,{children:`400`}),`; a `,_jsx(_components.code,{children:`publicId`}),` already used by another report returns `,_jsx(_components.code,{children:`409`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`The id you assign must be one you chose (any distinct 12-character `,_jsx(_components.code,{children:`[0-9A-Za-z]`}),` id). The auto-generated placeholder id shown for a report that has no stable id yet cannot be assigned — it is not unique — and is rejected with `,_jsx(_components.code,{children:`400`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`Requires `,_jsx(_components.strong,{children:`edit`}),` access to the report. Moving it to a different parent requires `,_jsx(_components.strong,{children:`manage`}),` access to the report and `,_jsx(_components.strong,{children:`edit`}),` access to the destination.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Update a report","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/{reportId}","href":"/api-reference/reports/update-a-report","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/cubed3/664218bb78b6ac43/cube-tracking.js","/_mintlify/custom/cubed3/73c42f6b43b9b3b0/scripts/extract-chat.js","/_mintlify/custom/cubed3/8cdb0d4163a42096/scripts/extract-core-data.js","/_mintlify/custom/cubed3/2a4cd4489f51af38/clay.js"],"openApiReferenceData":{"operation":{"operationId":"updateReport","parameters":["b62cc8e9-4dc7-444b-a921-e51129317f22","40f613cf-e33c-40f4-b08f-af208a66f775"],"requestBody":"ffd06af5-1b2d-45b5-bcc2-bc31f13f2d41","responses":{"200":"d6a9d7de-9984-43f3-9998-8b6f86f3a9db"},"summary":"Update a report","tags":["Reports"],"x-mint":{"content":"Update a report. All fields are optional; only the fields you send are changed.\n\n`publicId` is **write-once**: you may assign one to a report that does not have one yet — which is how a report created before stable ids is adopted into as-code management, so `PUT /reports/by-public-id/{publicId}` can key on it — but a report's existing `publicId` cannot be changed, since clients may already have stored it. Attempting to change it returns `400`; a `publicId` already used by another report returns `409`.\n\nThe id you assign must be one you chose (any distinct 12-character `[0-9A-Za-z]` id). The auto-generated placeholder id shown for a report that has no stable id yet cannot be assigned — it is not unique — and is rejected with `400`.\n\nRequires **edit** access to the report. Moving it to a different parent requires **manage** access to the report and **edit** access to the destination."},"method":"put","type":"path","servers":["bf75bf63-3eb0-48bb-9029-23b57e6433ad"],"security":["9a52c957-43bb-4206-b740-d21c1ff8063e"],"path":"/api/v1/deployments/{deploymentId}/reports/{reportId}","baseUrlOptions":["https://{tenant}.cubecloud.dev"],"title":"Update a report","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b62cc8e9-4dc7-444b-a921-e51129317f22":{"in":"path","name":"deploymentId","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"40f613cf-e33c-40f4-b08f-af208a66f775":{"in":"path","name":"reportId","required":true,"schema":{"type":"number","isRequired":true,"uniqueKey":"","typeLabel":"number"}}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"endResultCell":{"oneOf":[{"type":"string","uniqueKey":"endResultCell.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"endResultCell.oneOf.1","typeLabel":"null"}],"uniqueKey":"endResultCell","typeLabel":"string | null"},"expectedVersion":{"oneOf":[{"type":"integer","uniqueKey":"expectedVersion.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"expectedVersion.oneOf.1","typeLabel":"null"}],"uniqueKey":"expectedVersion","typeLabel":"integer | null"},"externalWorkbookId":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookId","typeLabel":"string | null"},"folderId":{"oneOf":[{"type":"integer","uniqueKey":"folderId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"folderId.oneOf.1","typeLabel":"null"}],"uniqueKey":"folderId","typeLabel":"integer | null"},"host":{"oneOf":[{"type":"string","enum":["GOOGLE_SHEETS","EXCEL"],"uniqueKey":"host.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"host.oneOf.1","typeLabel":"null"}],"uniqueKey":"host","typeLabel":"enum\u003cstring> | null"},"jsonQuery":{"oneOf":[{"type":"string","uniqueKey":"jsonQuery.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"jsonQuery.oneOf.1","typeLabel":"null"}],"uniqueKey":"jsonQuery","typeLabel":"string | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":true,"uniqueKey":"meta.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"object | null"},"name":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"pivotItems":{"oneOf":[{"type":"object","required":["columns","measures","rows","filters"],"properties":{"columns":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.columns.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.columns","typeLabel":"string[]"},"filters":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.filters.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.filters","typeLabel":"string[]"},"measures":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.measures.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.measures","typeLabel":"string[]"},"rows":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.rows.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.rows","typeLabel":"string[]"},"displayScale":{"oneOf":[{"type":"string","enum":["model","absolute","thousands","millions","billions"],"uniqueKey":"pivotItems.oneOf.0.displayScale.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.displayScale.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.displayScale","typeLabel":"enum\u003cstring> | null"},"measuresAxis":{"oneOf":[{"type":"string","enum":["columns","rows"],"uniqueKey":"pivotItems.oneOf.0.measuresAxis.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.measuresAxis.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.measuresAxis","typeLabel":"enum\u003cstring> | null"},"measuresPosition":{"oneOf":[{"type":"string","enum":["before","after"],"uniqueKey":"pivotItems.oneOf.0.measuresPosition.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.measuresPosition.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.measuresPosition","typeLabel":"enum\u003cstring> | null"},"showAppliedFilters":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showAppliedFilters.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showAppliedFilters.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showAppliedFilters","typeLabel":"boolean | null"},"showColumnTotals":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showColumnTotals.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showColumnTotals.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showColumnTotals","typeLabel":"boolean | null"},"showRowTotals":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showRowTotals.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showRowTotals.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showRowTotals","typeLabel":"boolean | null"}},"uniqueKey":"pivotItems.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"pivotItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems","typeLabel":"object | null"},"placementId":{"oneOf":[{"type":"string","uniqueKey":"placementId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"placementId.oneOf.1","typeLabel":"null"}],"uniqueKey":"placementId","typeLabel":"string | null"},"publicId":{"oneOf":[{"type":"string","maxLength":12,"minLength":12,"pattern":"^[0-9A-Za-z]+$","uniqueKey":"publicId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"publicId.oneOf.1","typeLabel":"null"}],"uniqueKey":"publicId","typeLabel":"string | null"},"resultChecksum":{"oneOf":[{"type":"object","required":["v","chunks"],"properties":{"chunks":{"items":{"properties":{"from":{"minimum":0,"type":"integer","isRequired":true,"uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX].from","typeLabel":"integer"},"hash":{"maxLength":64,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX].hash","typeLabel":"string"},"to":{"oneOf":[{"type":"integer","minimum":0,"deprecated":true,"uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX].to.oneOf.0","typeLabel":"integer"},{"type":"null","deprecated":true,"uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX].to.oneOf.1","typeLabel":"null"}],"uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX].to","typeLabel":"integer | null"}},"required":["from","hash"],"type":"object","uniqueKey":"resultChecksum.oneOf.0.chunks.items.[INDEX]","typeLabel":"object"},"maxItems":2000,"type":"array","isRequired":true,"uniqueKey":"resultChecksum.oneOf.0.chunks","typeLabel":"object[]"},"v":{"minimum":1,"type":"integer","isRequired":true,"uniqueKey":"resultChecksum.oneOf.0.v","typeLabel":"integer"},"payload":{"oneOf":[{"type":"string","maxLength":128,"minLength":1,"uniqueKey":"resultChecksum.oneOf.0.payload.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"resultChecksum.oneOf.0.payload.oneOf.1","typeLabel":"null"}],"uniqueKey":"resultChecksum.oneOf.0.payload","typeLabel":"string | null"}},"uniqueKey":"resultChecksum.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"resultChecksum.oneOf.1","typeLabel":"null"}],"uniqueKey":"resultChecksum","typeLabel":"object | null"},"resultLocation":{"oneOf":[{"type":"string","uniqueKey":"resultLocation.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"resultLocation.oneOf.1","typeLabel":"null"}],"uniqueKey":"resultLocation","typeLabel":"string | null"},"sheetId":{"oneOf":[{"type":"string","uniqueKey":"sheetId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"sheetId.oneOf.1","typeLabel":"null"}],"uniqueKey":"sheetId","typeLabel":"string | null"},"sqlQuery":{"oneOf":[{"type":"string","uniqueKey":"sqlQuery.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"sqlQuery.oneOf.1","typeLabel":"null"}],"uniqueKey":"sqlQuery","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"workbookId":{"oneOf":[{"type":"integer","uniqueKey":"workbookId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"workbookId.oneOf.1","typeLabel":"null"}],"uniqueKey":"workbookId","typeLabel":"integer | null"},"workbookName":{"oneOf":[{"type":"string","uniqueKey":"workbookName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"workbookName.oneOf.1","typeLabel":"null"}],"uniqueKey":"workbookName","typeLabel":"string | null"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"endResultCell":"\u003cstring>","expectedVersion":123,"externalWorkbookId":"\u003cstring>","folderId":123,"jsonQuery":"\u003cstring>","meta":{},"name":"\u003cstring>","pivotItems":{"columns":["\u003cstring>"],"filters":["\u003cstring>"],"measures":["\u003cstring>"],"rows":["\u003cstring>"],"showAppliedFilters":true,"showColumnTotals":true,"showRowTotals":true},"placementId":"\u003cstring>","publicId":"\u003cstring>","resultChecksum":{"chunks":[{"from":1,"hash":"\u003cstring>","to":1}],"v":2,"payload":"\u003cstring>"},"resultLocation":"\u003cstring>","sheetId":"\u003cstring>","sqlQuery":"\u003cstring>","title":"\u003cstring>","workbookId":123,"workbookName":"\u003cstring>"}}},"exampleType":"generated"}},"description":"UpdateReportInput","required":false,"exampleType":"generated"},"responses":{"d6a9d7de-9984-43f3-9998-8b6f86f3a9db":{"content":{"application/json":{"schema":{"properties":{"createdAt":{"oneOf":[{"type":"string","format":"date","isRequired":true,"uniqueKey":"createdAt.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"createdAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"isRequired":true,"uniqueKey":"createdAt","typeLabel":"string\u003cdate> | string\u003cdate-time>"},"deploymentId":{"type":"integer","isRequired":true,"uniqueKey":"deploymentId","typeLabel":"integer"},"id":{"type":"integer","isRequired":true,"uniqueKey":"id","typeLabel":"integer"},"name":{"maxLength":255,"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"publicId":{"pattern":"^[0-9A-Za-z]+$","type":"string","minLength":12,"maxLength":12,"isRequired":true,"uniqueKey":"publicId","typeLabel":"string"},"refreshedByUser":{"properties":{"email":{"type":"string","isRequired":true,"uniqueKey":"refreshedByUser.email","typeLabel":"string"},"id":{"type":"integer","isRequired":true,"uniqueKey":"refreshedByUser.id","typeLabel":"integer"},"firstName":{"oneOf":[{"type":"string","uniqueKey":"refreshedByUser.firstName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"refreshedByUser.firstName.oneOf.1","typeLabel":"null"}],"uniqueKey":"refreshedByUser.firstName","typeLabel":"string | null"},"picture":{"oneOf":[{"type":"string","uniqueKey":"refreshedByUser.picture.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"refreshedByUser.picture.oneOf.1","typeLabel":"null"}],"uniqueKey":"refreshedByUser.picture","typeLabel":"string | null"}},"required":["id","email"],"type":"object","isRequired":true,"uniqueKey":"refreshedByUser","typeLabel":"object"},"type":{"enum":["FOLDER","WORKBOOK","REPORT"],"type":"string","isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"updatedAt":{"oneOf":[{"type":"string","format":"date","isRequired":true,"uniqueKey":"updatedAt.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"updatedAt.oneOf.1","typeLabel":"string\u003cdate-time>"}],"isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string\u003cdate> | string\u003cdate-time>"},"user":{"properties":{"email":{"type":"string","isRequired":true,"uniqueKey":"user.email","typeLabel":"string"},"id":{"type":"integer","isRequired":true,"uniqueKey":"user.id","typeLabel":"integer"},"firstName":{"oneOf":[{"type":"string","uniqueKey":"user.firstName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"user.firstName.oneOf.1","typeLabel":"null"}],"uniqueKey":"user.firstName","typeLabel":"string | null"},"picture":{"oneOf":[{"type":"string","uniqueKey":"user.picture.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"user.picture.oneOf.1","typeLabel":"null"}],"uniqueKey":"user.picture","typeLabel":"string | null"}},"required":["id","email"],"type":"object","isRequired":true,"uniqueKey":"user","typeLabel":"object"},"userId":{"type":"integer","isRequired":true,"uniqueKey":"userId","typeLabel":"integer"},"canEdit":{"oneOf":[{"type":"boolean","uniqueKey":"canEdit.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"canEdit.oneOf.1","typeLabel":"null"}],"uniqueKey":"canEdit","typeLabel":"boolean | null"},"canManage":{"oneOf":[{"type":"boolean","uniqueKey":"canManage.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"canManage.oneOf.1","typeLabel":"null"}],"uniqueKey":"canManage","typeLabel":"boolean | null"},"createdBy":{"type":"integer","uniqueKey":"createdBy","typeLabel":"integer"},"currentQueryChecksum":{"oneOf":[{"type":"string","uniqueKey":"currentQueryChecksum.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"currentQueryChecksum.oneOf.1","typeLabel":"null"}],"uniqueKey":"currentQueryChecksum","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"endResultCell":{"oneOf":[{"type":"string","uniqueKey":"endResultCell.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"endResultCell.oneOf.1","typeLabel":"null"}],"uniqueKey":"endResultCell","typeLabel":"string | null"},"externalWorkbookId":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookId","typeLabel":"string | null"},"externalWorkbookPlacements":{"oneOf":[{"type":"array","items":{"properties":{"resultLocation":{"type":"string","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultLocation","typeLabel":"string"},"workbookId":{"type":"string","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].workbookId","typeLabel":"string"},"anchorCell":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].anchorCell.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].anchorCell.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].anchorCell","typeLabel":"string | null"},"endResultCell":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].endResultCell.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].endResultCell.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].endResultCell","typeLabel":"string | null"},"host":{"oneOf":[{"type":"string","enum":["GOOGLE_SHEETS","EXCEL"],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].host.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].host.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].host","typeLabel":"enum\u003cstring> | null"},"id":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"placedAt":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedAt.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedAt","typeLabel":"string | null"},"placedByUserId":{"oneOf":[{"type":"integer","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedByUserId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedByUserId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].placedByUserId","typeLabel":"integer | null"},"queryChecksum":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].queryChecksum.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].queryChecksum.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].queryChecksum","typeLabel":"string | null"},"refreshedAt":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedAt.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedAt","typeLabel":"string | null"},"refreshedByUserId":{"oneOf":[{"type":"integer","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedByUserId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedByUserId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].refreshedByUserId","typeLabel":"integer | null"},"resultChecksum":{"oneOf":[{"type":"object","required":["v","chunks"],"properties":{"chunks":{"items":{"properties":{"from":{"minimum":0,"type":"integer","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX].from","typeLabel":"integer"},"hash":{"maxLength":64,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX].hash","typeLabel":"string"},"to":{"oneOf":[{"type":"integer","minimum":0,"deprecated":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX].to.oneOf.0","typeLabel":"integer"},{"type":"null","deprecated":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX].to.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX].to","typeLabel":"integer | null"}},"required":["from","hash"],"type":"object","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks.items.[INDEX]","typeLabel":"object"},"maxItems":2000,"type":"array","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.chunks","typeLabel":"object[]"},"v":{"minimum":1,"type":"integer","isRequired":true,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.v","typeLabel":"integer"},"payload":{"oneOf":[{"type":"string","maxLength":128,"minLength":1,"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.payload.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.payload.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0.payload","typeLabel":"string | null"}},"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].resultChecksum","typeLabel":"object | null"},"sheetId":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetId","typeLabel":"string | null"},"sheetName":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetName.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].sheetName","typeLabel":"string | null"},"syncStatus":{"oneOf":[{"type":"string","enum":["UP_TO_DATE","CHANGED","UNKNOWN"],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].syncStatus.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].syncStatus.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].syncStatus","typeLabel":"enum\u003cstring> | null"},"workbookName":{"oneOf":[{"type":"string","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].workbookName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].workbookName.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX].workbookName","typeLabel":"string | null"}},"required":["workbookId","resultLocation"],"type":"object","uniqueKey":"externalWorkbookPlacements.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"externalWorkbookPlacements.oneOf.0","typeLabel":"object[]"},{"type":"null","uniqueKey":"externalWorkbookPlacements.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalWorkbookPlacements","typeLabel":"object[] | null"},"folderId":{"oneOf":[{"type":"integer","uniqueKey":"folderId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"folderId.oneOf.1","typeLabel":"null"}],"uniqueKey":"folderId","typeLabel":"integer | null"},"folderPath":{"items":{"properties":{"id":{"type":"integer","isRequired":true,"uniqueKey":"folderPath.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","isRequired":true,"uniqueKey":"folderPath.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"type":"object","uniqueKey":"folderPath.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"folderPath","typeLabel":"object[]"},"jsonQuery":{"oneOf":[{"type":"string","uniqueKey":"jsonQuery.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"jsonQuery.oneOf.1","typeLabel":"null"}],"uniqueKey":"jsonQuery","typeLabel":"string | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":true,"uniqueKey":"meta.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"object | null"},"pivotItems":{"oneOf":[{"type":"object","required":["columns","measures","rows","filters"],"properties":{"columns":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.columns.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.columns","typeLabel":"string[]"},"filters":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.filters.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.filters","typeLabel":"string[]"},"measures":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.measures.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.measures","typeLabel":"string[]"},"rows":{"items":{"type":"string","uniqueKey":"pivotItems.oneOf.0.rows.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"pivotItems.oneOf.0.rows","typeLabel":"string[]"},"displayScale":{"oneOf":[{"type":"string","enum":["model","absolute","thousands","millions","billions"],"uniqueKey":"pivotItems.oneOf.0.displayScale.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.displayScale.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.displayScale","typeLabel":"enum\u003cstring> | null"},"measuresAxis":{"oneOf":[{"type":"string","enum":["columns","rows"],"uniqueKey":"pivotItems.oneOf.0.measuresAxis.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.measuresAxis.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.measuresAxis","typeLabel":"enum\u003cstring> | null"},"measuresPosition":{"oneOf":[{"type":"string","enum":["before","after"],"uniqueKey":"pivotItems.oneOf.0.measuresPosition.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.measuresPosition.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.measuresPosition","typeLabel":"enum\u003cstring> | null"},"showAppliedFilters":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showAppliedFilters.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showAppliedFilters.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showAppliedFilters","typeLabel":"boolean | null"},"showColumnTotals":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showColumnTotals.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showColumnTotals.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showColumnTotals","typeLabel":"boolean | null"},"showRowTotals":{"oneOf":[{"type":"boolean","uniqueKey":"pivotItems.oneOf.0.showRowTotals.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"pivotItems.oneOf.0.showRowTotals.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems.oneOf.0.showRowTotals","typeLabel":"boolean | null"}},"uniqueKey":"pivotItems.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"pivotItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"pivotItems","typeLabel":"object | null"},"refreshedBy":{"oneOf":[{"type":"integer","uniqueKey":"refreshedBy.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"refreshedBy.oneOf.1","typeLabel":"null"}],"uniqueKey":"refreshedBy","typeLabel":"integer | null"},"resultLocation":{"oneOf":[{"type":"string","uniqueKey":"resultLocation.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"resultLocation.oneOf.1","typeLabel":"null"}],"uniqueKey":"resultLocation","typeLabel":"string | null"},"rolesWithAccess":{"oneOf":[{"type":"array","items":{"properties":{"actions":{"items":{"enum":["All","DeploymentsManage","DeploymentCreate","DeploymentRead","DeploymentUpdate","DeploymentDelete","SecretsManage","DownloadData","PlaygroundRead","SchemaRead","SchemaUpdate","SchemaUpdateDevBranches","APMRead","ChatHistoryRead","PreAggregationRead","PreAggregationBuild","AlertsCreate","AlertsRead","AlertsUpdate","AlertsDelete","AuditLogManage","BillingRead","SqlRunnerRead","DataAssetsRead","DataAssetsManage","CubeNetworkConnect","ReportRead","ReportEdit","ReportManage","WorkbookManage","WorkbookRead","WorkbookEdit","ChatThreadRead","AgentManage","AgentRead","AgentSpaceManage","AgentAdmin","DeploymentAgentRead","ScheduledTasksCreate","ScheduledTaskRead","ScheduledTasksRead","ScheduledTasksManage","OAuthIntegrationsManage","OAuthIntegrationsIssueTokens","McpToolsManage","AIBIDevelop","AIBIExplore","AIBIView","ChartPalettesManage","DashboardThemesManage","AIBIDeveloper","AIBIUser","AIBIViewer","EmbedDeploymentRead","EmbedDashboardRead","FolderRead","FolderEdit","FolderManage"],"type":"string","uniqueKey":"rolesWithAccess.oneOf.0.items.[INDEX].actions.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","isRequired":true,"uniqueKey":"rolesWithAccess.oneOf.0.items.[INDEX].actions","typeLabel":"enum\u003cstring>[]"},"id":{"type":"integer","isRequired":true,"uniqueKey":"rolesWithAccess.oneOf.0.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","isRequired":true,"uniqueKey":"rolesWithAccess.oneOf.0.items.[INDEX].name","typeLabel":"string"}},"required":["id","name","actions"],"type":"object","uniqueKey":"rolesWithAccess.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"rolesWithAccess.oneOf.0","typeLabel":"object[]"},{"type":"null","uniqueKey":"rolesWithAccess.oneOf.1","typeLabel":"null"}],"uniqueKey":"rolesWithAccess","typeLabel":"object[] | null"},"source":{"oneOf":[{"type":"string","enum":["GOOGLE_SHEETS","EXCEL","PLAYGROUND","D3"],"uniqueKey":"source.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"source.oneOf.1","typeLabel":"null"}],"uniqueKey":"source","typeLabel":"enum\u003cstring> | null"},"sqlQuery":{"oneOf":[{"type":"string","uniqueKey":"sqlQuery.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"sqlQuery.oneOf.1","typeLabel":"null"}],"uniqueKey":"sqlQuery","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"version":{"oneOf":[{"type":"integer","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"workbookId":{"oneOf":[{"type":"integer","uniqueKey":"workbookId.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"workbookId.oneOf.1","typeLabel":"null"}],"uniqueKey":"workbookId","typeLabel":"integer | null"}},"required":["publicId","userId","user","name","refreshedByUser","id","deploymentId","createdAt","updatedAt","type"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"createdAt":"2023-12-25","deploymentId":123,"id":123,"name":"\u003cstring>","publicId":"\u003cstring>","refreshedByUser":{"email":"\u003cstring>","id":123,"firstName":"\u003cstring>","picture":"\u003cstring>"},"type":"FOLDER","updatedAt":"2023-12-25","user":{"email":"\u003cstring>","id":123,"firstName":"\u003cstring>","picture":"\u003cstring>"},"userId":123,"canEdit":true,"canManage":true,"createdBy":123,"currentQueryChecksum":"\u003cstring>","description":"\u003cstring>","endResultCell":"\u003cstring>","externalWorkbookId":"\u003cstring>","externalWorkbookPlacements":[{"resultLocation":"\u003cstring>","workbookId":"\u003cstring>","anchorCell":"\u003cstring>","endResultCell":"\u003cstring>","host":"GOOGLE_SHEETS","id":"\u003cstring>","placedAt":"\u003cstring>","placedByUserId":123,"queryChecksum":"\u003cstring>","refreshedAt":"\u003cstring>","refreshedByUserId":123,"resultChecksum":{"chunks":[{"from":1,"hash":"\u003cstring>","to":1}],"v":2,"payload":"\u003cstring>"},"sheetId":"\u003cstring>","sheetName":"\u003cstring>","syncStatus":"UP_TO_DATE","workbookName":"\u003cstring>"}],"folderId":123,"folderPath":[{"id":123,"name":"\u003cstring>"}],"jsonQuery":"\u003cstring>","meta":{},"pivotItems":{"columns":["\u003cstring>"],"filters":["\u003cstring>"],"measures":["\u003cstring>"],"rows":["\u003cstring>"],"displayScale":"model","measuresAxis":"columns","measuresPosition":"before","showAppliedFilters":true,"showColumnTotals":true,"showRowTotals":true},"refreshedBy":123,"resultLocation":"\u003cstring>","rolesWithAccess":[{"actions":["All"],"id":123,"name":"\u003cstring>"}],"source":"GOOGLE_SHEETS","sqlQuery":"\u003cstring>","title":"\u003cstring>","version":123,"workbookId":123}}},"exampleType":"generated"}},"description":"","exampleType":"generated"}},"security":{"9a52c957-43bb-4206-b740-d21c1ff8063e":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Token authentication. Send `Authorization: Bearer \u003cYOUR_TOKEN>`.","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"bf75bf63-3eb0-48bb-9029-23b57e6433ad":{"url":"https://{tenant}.cubecloud.dev","description":"Your tenant host. Replace the whole host if you use a custom domain.","variables":{"tenant":{"default":"your-tenant","description":"Your Cube tenant subdomain"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Token authentication. Send `Authorization: Bearer \u003cYOUR_TOKEN>`.","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Token authentication. Send `Authorization: Bearer \u003cYOUR_TOKEN>`.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/api.yaml"},"subdomain":"cubed3","siteName":"Cube Documentation","title":"Update a report - Cube Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T17:44:27.348Z","originalFileLocation":"api-reference/reports/update-a-report.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Cube Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update a report - Cube Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cube Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cube.dev/api-reference/reports/update-a-report\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cubed3.mintlify.app/_mintlify/api/og/v2?division=Reports\u0026amp;title=Update+a+report\u0026amp;theme=784e8a91f0fc65e42d72e853\u0026amp;signature=b35f5bc119153daa8c8bcc40f8d8c77c227d1211b1b0bd803ff6b265076096e0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update a report - Cube Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cubed3.mintlify.app/_mintlify/api/og/v2?division=Reports\u0026amp;title=Update+a+report\u0026amp;theme=784e8a91f0fc65e42d72e853\u0026amp;signature=b35f5bc119153daa8c8bcc40f8d8c77c227d1211b1b0bd803ff6b265076096e0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cubed3/JtLYPWhDFrYGSK8W/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cube Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5339CF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cube.dev/api-reference/reports/update-a-report\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/reports/update-a-report.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cube.dev/#organization\",\"name\":\"Cube Documentation\",\"url\":\"https://docs.cube.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cubed3/wCTntgEXVYYYnx4l/logo/light.svg?fit=max\u0026auto=format\u0026n=wCTntgEXVYYYnx4l\u0026q=85\u0026s=8bbf45ba64eac6116629064fac55aad7\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cube.dev#website\",\"name\":\"Cube Documentation\",\"url\":\"https://docs.cube.dev\",\"publisher\":{\"@id\":\"https://docs.cube.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cube.dev/api-reference/reports/update-a-report#webpage\",\"url\":\"https://docs.cube.dev/api-reference/reports/update-a-report\",\"name\":\"Update a report\",\"dateModified\":\"2026-10-29T17:44:27.348Z\",\"isPartOf\":{\"@id\":\"https://docs.cube.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cube.dev/api-reference/reports/update-a-report#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cube.dev/api-reference/reports/update-a-report#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Platform Endpoints\",\"item\":\"https://docs.cube.dev/api-reference/deployments/get-deployments\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Reports\",\"item\":\"https://docs.cube.dev/api-reference/reports/list-reports\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update a report\",\"item\":\"https://docs.cube.dev/api-reference/reports/update-a-report\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cube.dev/api-reference/reports/update-a-report#apireference\",\"headline\":\"Update a report\",\"name\":\"Update a report\",\"url\":\"https://docs.cube.dev/api-reference/reports/update-a-report\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cube.dev/api-reference/reports/update-a-report#webpage\"},\"dateModified\":\"2026-10-29T17:44:27.348Z\",\"publisher\":{\"@id\":\"https://docs.cube.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cube.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cube Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cube Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/introduction"}]},{"tab":"Admin","pages":[{"title":"Admin","href":"/admin/connect-to-data"}]},{"tab":"Embedding","pages":[{"title":"Embedding","href":"/embedding"}]},{"tab":"Reference","pages":[{"title":"Reference","href":"/reference/data-modeling/cube"}]},{"tab":"Cube Core","pages":[{"title":"Cube Core","href":"/cube-core"}]},{"tab":"Recipes","pages":[{"title":"Recipes","href":"/recipes"}]},{"tab":"API","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"Core Data Endpoints","pages":[{"title":"JSON query","deprecated":null,"version":null,"openapi":"/api-reference/core-data.yaml post /v1/load","href":"/api-reference/data/json-query"},{"title":"SQL query","deprecated":null,"version":null,"openapi":"/api-reference/core-data.yaml post /v1/cubesql","href":"/api-reference/data/sql-query"},{"title":"Load Metadata","deprecated":null,"version":null,"openapi":"/api-reference/core-data.yaml get /v1/meta","href":"/api-reference/data/load-metadata"}]},{"group":"AI Endpoints","pages":[{"title":"Stream chat state","deprecated":null,"version":null,"openapi":"/api-reference/chat.yaml post /chat/stream-chat-state","href":"/api-reference/chat/stream-chat-state"},{"title":"Abort chat stream","deprecated":null,"version":null,"openapi":"/api-reference/chat.yaml post /chat/abort","href":"/api-reference/chat/abort-chat-stream"}]},{"group":"Platform Endpoints","pages":[{"group":"Deployments","pages":[{"title":"Get deployments","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments","href":"/api-reference/deployments/get-deployments"},{"title":"Get deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}","href":"/api-reference/deployments/get-deployment"},{"title":"Update a deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}","href":"/api-reference/deployments/update-a-deployment"},{"title":"Delete deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}","href":"/api-reference/deployments/delete-deployment"},{"title":"Latest build/compile status for a branch (production build or dev-mode)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/build-status","href":"/api-reference/deployments/latest-buildcompile-status-for-a-branch-production-build-or-dev-mode"},{"title":"Advance a deployment to a given onboarding step (e.g. after connecting a source)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/creation-step/advance","href":"/api-reference/deployments/advance-a-deployment-to-a-given-onboarding-step-eg-after-connecting-a-source"},{"title":"Reset a deployment to the first onboarding step (project)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/creation-step/reset","href":"/api-reference/deployments/reset-a-deployment-to-the-first-onboarding-step-project"},{"title":"Recent runtime logs (tail) for a deployment. With no `source`, reads both the production API / worker pods and the dev-mode worker, merged chronologically; scope with `?source=production` or `?source=dev`.","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/logs","href":"/api-reference/deployments/recent-runtime-logs-tail-for-a-deployment-with-no-`source`-reads-both-the-production-api-worker-pods-and-the-dev-mode-worker-merged-chronologically;-scope-with-`?source=production`-or-`?source=dev`"},{"title":"List the pods currently scheduled for a deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/pods","href":"/api-reference/deployments/list-the-pods-currently-scheduled-for-a-deployment"},{"title":"Get deployment settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/settings","href":"/api-reference/deployments/get-deployment-settings"},{"title":"Deployment token","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/token","href":"/api-reference/deployments/deployment-token"},{"title":"List available Cube versions","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/versions","href":"/api-reference/deployments/list-available-cube-versions"}]},{"group":"Deployment Creation","pages":[{"title":"Create a deployment with an empty starter project and trigger its first build","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments","href":"/api-reference/deployment-creation/create-a-deployment-with-an-empty-starter-project-and-trigger-its-first-build"}]},{"group":"Environments","pages":[{"title":"Get deployment environments","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/environments","href":"/api-reference/environments/get-deployment-environments"},{"title":"Get deployment environment tokens","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens","href":"/api-reference/environments/get-deployment-environment-tokens"},{"title":"Create deployment environment token","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens","href":"/api-reference/environments/create-deployment-environment-token"},{"title":"Create deployment environment token for meta sync","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens-for-meta-sync","href":"/api-reference/environments/create-deployment-environment-token-for-meta-sync"}]},{"group":"Env Variables","pages":[{"title":"List environment variables, including the database connection settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/env-vars","href":"/api-reference/env-variables/list-environment-variables-including-the-database-connection-settings"},{"title":"Set environment variables, including connecting or changing a database","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/env-vars","href":"/api-reference/env-variables/set-environment-variables-including-connecting-or-changing-a-database"}]},{"group":"Regions","pages":[{"title":"List regions","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/regions","href":"/api-reference/regions/list-regions"}]},{"group":"Data Model","pages":[{"title":"List a deployment's branches","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /build/api/v1/deployments/{deploymentId}/branches","href":"/api-reference/data-model/list-a-deployments-branches"},{"title":"Create a branch (optionally entering dev mode on it)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/branches","href":"/api-reference/data-model/create-a-branch-optionally-entering-dev-mode-on-it"},{"title":"Delete a branch","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /build/api/v1/deployments/{deploymentId}/branches","href":"/api-reference/data-model/delete-a-branch"},{"title":"Enable or disable a branch's staging environment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /build/api/v1/deployments/{deploymentId}/branches/staging-environment","href":"/api-reference/data-model/enable-or-disable-a-branchs-staging-environment"},{"title":"Commit (and push) the active branch's pending changes","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/commit","href":"/api-reference/data-model/commit-and-push-the-active-branchs-pending-changes"},{"title":"List the data-model source files for a deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /build/api/v1/deployments/{deploymentId}/data-model/files","href":"/api-reference/data-model/list-the-data-model-source-files-for-a-deployment"},{"title":"Create or overwrite data-model source files","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /build/api/v1/deployments/{deploymentId}/data-model/files","href":"/api-reference/data-model/create-or-overwrite-data-model-source-files"},{"title":"Delete data-model source files","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /build/api/v1/deployments/{deploymentId}/data-model/files","href":"/api-reference/data-model/delete-data-model-source-files"},{"title":"Rename data-model source files","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/data-model/files/rename","href":"/api-reference/data-model/rename-data-model-source-files"},{"title":"Compile a deployment's data model and report compilation errors","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /build/api/v1/deployments/{deploymentId}/data-model/validate","href":"/api-reference/data-model/compile-a-deployments-data-model-and-report-compilation-errors"},{"title":"Enter dev mode (switch to a branch)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/dev-mode","href":"/api-reference/data-model/enter-dev-mode-switch-to-a-branch"},{"title":"Exit dev mode","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /build/api/v1/deployments/{deploymentId}/dev-mode","href":"/api-reference/data-model/exit-dev-mode"},{"title":"Merge a branch into its parent branch (git-flow merge)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/merge","href":"/api-reference/data-model/merge-a-branch-into-its-parent-branch-git-flow-merge"},{"title":"Merge a branch straight into the deploy (default) branch","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/merge-to-default","href":"/api-reference/data-model/merge-a-branch-straight-into-the-deploy-default-branch"},{"title":"Pull the latest for a branch from its remote and rebuild if changed","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/pull","href":"/api-reference/data-model/pull-the-latest-for-a-branch-from-its-remote-and-rebuild-if-changed"}]},{"group":"Data Model Uploads","pages":[{"title":"Content hashes of the current data-model files (for upload diffing)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /build/api/v1/deployments/{deploymentId}/data-model/file-hashes","href":"/api-reference/data-model-uploads/content-hashes-of-the-current-data-model-files-for-upload-diffing"},{"title":"Upload a single file into an open transaction","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/data-model/upload/file","href":"/api-reference/data-model-uploads/upload-a-single-file-into-an-open-transaction"},{"title":"Finish the upload transaction (prune removed files) and trigger a build","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/data-model/upload/finish","href":"/api-reference/data-model-uploads/finish-the-upload-transaction-prune-removed-files-and-trigger-a-build"},{"title":"Start a data-model upload transaction","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/data-model/upload/start","href":"/api-reference/data-model-uploads/start-a-data-model-upload-transaction"}]},{"group":"GitHub","pages":[{"title":"List the user's GitHub App installations (orgs/accounts)","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/github/installations","href":"/api-reference/github/list-the-users-github-app-installations-orgsaccounts"},{"title":"List repositories accessible to a GitHub App installation","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/github/installations/{installationId}/repositories","href":"/api-reference/github/list-repositories-accessible-to-a-github-app-installation"},{"title":"List branches of a repository","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/github/repositories/{owner}/{repo}/branches","href":"/api-reference/github/list-branches-of-a-repository"},{"title":"Whether GitHub is linked, plus the link/install URLs","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/github/status","href":"/api-reference/github/whether-github-is-linked-plus-the-linkinstall-urls"}]},{"group":"GitHub Connection","pages":[{"title":"Connect a deployment to a GitHub repository and trigger a build","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /build/api/v1/deployments/{deploymentId}/github/connect","href":"/api-reference/github-connection/connect-a-deployment-to-a-github-repository-and-trigger-a-build"}]},{"group":"dbt Sync","pages":[{"title":"List dbt syncs for a deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dbt-sync","href":"/api-reference/dbt-sync/list-dbt-syncs-for-a-deployment"},{"title":"Start a dbt sync for a deployment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/dbt-sync","href":"/api-reference/dbt-sync/start-a-dbt-sync-for-a-deployment"},{"title":"Get the status of a dbt sync","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dbt-sync/{syncJobId}","href":"/api-reference/dbt-sync/get-the-status-of-a-dbt-sync"},{"title":"Cancel a running dbt sync","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/dbt-sync/{syncJobId}","href":"/api-reference/dbt-sync/cancel-a-running-dbt-sync"},{"title":"Get the files generated by a dbt sync that did not commit them","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dbt-sync/{syncJobId}/generated-files","href":"/api-reference/dbt-sync/get-the-files-generated-by-a-dbt-sync-that-did-not-commit-them"},{"title":"Get the log of a dbt sync","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dbt-sync/{syncJobId}/logs","href":"/api-reference/dbt-sync/get-the-log-of-a-dbt-sync"},{"title":"Get the result of a completed dbt sync","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dbt-sync/{syncJobId}/result","href":"/api-reference/dbt-sync/get-the-result-of-a-completed-dbt-sync"}]},{"group":"Databricks Metric View Publication","pages":[{"title":"Start a Databricks Metric View publication preview","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/databricks-metric-view-previews","href":"/api-reference/databricks-metric-view-publication/start-a-databricks-metric-view-publication-preview"},{"title":"Get Databricks Metric View preview status","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}","href":"/api-reference/databricks-metric-view-publication/get-databricks-metric-view-preview-status"},{"title":"Cancel a Databricks Metric View preview","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}","href":"/api-reference/databricks-metric-view-publication/cancel-a-databricks-metric-view-preview"},{"title":"Get a completed Databricks Metric View preview result","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}/result","href":"/api-reference/databricks-metric-view-publication/get-a-completed-databricks-metric-view-preview-result"}]},{"group":"Databricks Metric View Integration","pages":[{"title":"Get Databricks Metric View publication settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}","href":"/api-reference/databricks-metric-view-integration/get-databricks-metric-view-publication-settings"},{"title":"Create or update Databricks Metric View publication settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}","href":"/api-reference/databricks-metric-view-integration/create-or-update-databricks-metric-view-publication-settings"},{"title":"List Databricks Metric View publication runs","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}/syncs","href":"/api-reference/databricks-metric-view-integration/list-databricks-metric-view-publication-runs"},{"title":"Start a Databricks Metric View publication run","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}/syncs","href":"/api-reference/databricks-metric-view-integration/start-a-databricks-metric-view-publication-run"},{"title":"Get a Databricks Metric View publication run","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}/syncs/{runId}","href":"/api-reference/databricks-metric-view-integration/get-a-databricks-metric-view-publication-run"},{"title":"Cancel a Databricks Metric View publication run","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}/syncs/{runId}","href":"/api-reference/databricks-metric-view-integration/cancel-a-databricks-metric-view-publication-run"}]},{"group":"Snowflake Semantic View Sync","pages":[{"title":"Pull Snowflake Semantic Views into Cube","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/snowflake-semantic-view-pulls","href":"/api-reference/snowflake-semantic-view-sync/pull-snowflake-semantic-views-into-cube"},{"title":"Get Snowflake Semantic View pull status","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/snowflake-semantic-view-pulls/{syncJobId}","href":"/api-reference/snowflake-semantic-view-sync/get-snowflake-semantic-view-pull-status"},{"title":"Get the result of a completed Snowflake Semantic View pull","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/snowflake-semantic-view-pulls/{syncJobId}/result","href":"/api-reference/snowflake-semantic-view-sync/get-the-result-of-a-completed-snowflake-semantic-view-pull"},{"title":"Push Cube views to Snowflake Semantic Views","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/snowflake-semantic-view-syncs","href":"/api-reference/snowflake-semantic-view-sync/push-cube-views-to-snowflake-semantic-views"},{"title":"Get Snowflake Semantic View push status","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/snowflake-semantic-view-syncs/{syncJobId}","href":"/api-reference/snowflake-semantic-view-sync/get-snowflake-semantic-view-push-status"},{"title":"Get the result of a completed Snowflake Semantic View push","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/snowflake-semantic-view-syncs/{syncJobId}/result","href":"/api-reference/snowflake-semantic-view-sync/get-the-result-of-a-completed-snowflake-semantic-view-push"}]},{"group":"Folders","pages":[{"title":"List folders","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/folders","href":"/api-reference/folders/list-folders"},{"title":"Create a folder","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/folders","href":"/api-reference/folders/create-a-folder"},{"title":"Update a folder","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/folders/{folderId}","href":"/api-reference/folders/update-a-folder"},{"title":"Delete a folder","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/folders/{folderId}","href":"/api-reference/folders/delete-a-folder"},{"title":"List folder ancestors","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/folders/{folderId}/ancestors","href":"/api-reference/folders/list-folder-ancestors"}]},{"group":"Reports","pages":[{"title":"List reports","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/reports","href":"/api-reference/reports/list-reports"},{"title":"Create a report","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/reports","href":"/api-reference/reports/create-a-report"},{"title":"Create or update a report by publicId","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/by-public-id/{publicId}","href":"/api-reference/reports/create-or-update-a-report-by-publicid"},{"title":"Get report","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/reports/{reportId}","href":"/api-reference/reports/get-report"},{"title":"Update a report","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/{reportId}","href":"/api-reference/reports/update-a-report"},{"title":"Delete report","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/reports/{reportId}","href":"/api-reference/reports/delete-report"},{"title":"Connect a report to the calling spreadsheet","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/{reportId}/connect-workbook","href":"/api-reference/reports/connect-a-report-to-the-calling-spreadsheet"},{"title":"Disconnect a report from one spot in a spreadsheet","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/reports/{reportId}/connect-workbook","href":"/api-reference/reports/disconnect-a-report-from-one-spot-in-a-spreadsheet"},{"title":"Read a report definition as editable JSON text","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/reports/{reportId}/file","href":"/api-reference/reports/read-a-report-definition-as-editable-json-text"},{"title":"Replace text in a report definition","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/deployments/{deploymentId}/reports/{reportId}/file","href":"/api-reference/reports/replace-text-in-a-report-definition"},{"title":"Refresh report","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/reports/{reportId}/refresh","href":"/api-reference/reports/refresh-report"}]},{"group":"External Documents","pages":[{"title":"List the Cube placements in an external spreadsheet","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/external-documents/{externalWorkbookId}/placements","href":"/api-reference/external-documents/list-the-cube-placements-in-an-external-spreadsheet"}]},{"group":"Workbooks","pages":[{"title":"Get workbooks","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks","href":"/api-reference/workbooks/get-workbooks"},{"title":"Create workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks","href":"/api-reference/workbooks/create-workbook"},{"title":"Create or update a workbook by slug","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/workbooks/by-slug/{slug}","href":"/api-reference/workbooks/create-or-update-a-workbook-by-slug"},{"title":"Get workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}","href":"/api-reference/workbooks/get-workbook"},{"title":"Update a workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/workbooks/{workbookId}","href":"/api-reference/workbooks/update-a-workbook"},{"title":"Delete workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/workbooks/{workbookId}","href":"/api-reference/workbooks/delete-workbook"},{"title":"Update workbook dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/dashboard","href":"/api-reference/workbooks/update-workbook-dashboard"},{"title":"Update published dashboard AI widget thread","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/dashboard/ai-widget-thread","href":"/api-reference/workbooks/update-published-dashboard-ai-widget-thread"},{"title":"Read the dashboard draft as editable JSON text","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/dashboard/file","href":"/api-reference/workbooks/read-the-dashboard-draft-as-editable-json-text"},{"title":"Replace text in the dashboard draft","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/dashboard/file","href":"/api-reference/workbooks/replace-text-in-the-dashboard-draft"},{"title":"Clone a workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/duplicate","href":"/api-reference/workbooks/clone-a-workbook"},{"title":"Publish a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/publish","href":"/api-reference/workbooks/publish-a-dashboard"}]},{"group":"Workbook Promotions","pages":[{"title":"Get workbook promotion provenance","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/promotion","href":"/api-reference/workbook-promotions/get-workbook-promotion-provenance"},{"title":"List workbook promotion destinations","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/promotion-links","href":"/api-reference/workbook-promotions/list-workbook-promotion-destinations"},{"title":"Preview a workbook promotion","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/promotion-previews","href":"/api-reference/workbook-promotions/preview-a-workbook-promotion"},{"title":"List workbook promotion history","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/promotions","href":"/api-reference/workbook-promotions/list-workbook-promotion-history"},{"title":"Promote and publish a workbook","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/promotions","href":"/api-reference/workbook-promotions/promote-and-publish-a-workbook"}]},{"group":"Dashboard Exports","pages":[{"title":"Export a dashboard as PNG or PDF","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/dashboard-exports","href":"/api-reference/dashboard-exports/export-a-dashboard-as-png-or-pdf"},{"title":"Get the status of a dashboard export","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dashboard-exports/{jobId}","href":"/api-reference/dashboard-exports/get-the-status-of-a-dashboard-export"},{"title":"Download a completed dashboard export","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/dashboard-exports/{jobId}/download","href":"/api-reference/dashboard-exports/download-a-completed-dashboard-export"}]},{"group":"Notifications","pages":[{"title":"List scheduled notifications","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/notifications","href":"/api-reference/notifications/list-scheduled-notifications"},{"title":"Create a scheduled notification","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/notifications","href":"/api-reference/notifications/create-a-scheduled-notification"},{"title":"Get a scheduled notification","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/notifications/{id}","href":"/api-reference/notifications/get-a-scheduled-notification"},{"title":"Update a scheduled notification","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/notifications/{id}","href":"/api-reference/notifications/update-a-scheduled-notification"},{"title":"Delete a scheduled notification","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/notifications/{id}","href":"/api-reference/notifications/delete-a-scheduled-notification"},{"title":"List notification recipients","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/notifications/{id}/recipients","href":"/api-reference/notifications/list-notification-recipients"},{"title":"Add notification recipients","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/notifications/{id}/recipients","href":"/api-reference/notifications/add-notification-recipients"},{"title":"Remove notification recipients","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/notifications/{id}/recipients","href":"/api-reference/notifications/remove-notification-recipients"}]},{"group":"Scheduled Tasks","pages":[{"title":"List scheduled tasks","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/scheduled-tasks","href":"/api-reference/scheduled-tasks/list-scheduled-tasks"},{"title":"Create a scheduled task","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/scheduled-tasks","href":"/api-reference/scheduled-tasks/create-a-scheduled-task"},{"title":"Get a scheduled task","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/scheduled-tasks/{taskId}","href":"/api-reference/scheduled-tasks/get-a-scheduled-task"},{"title":"Update a scheduled task","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/scheduled-tasks/{taskId}","href":"/api-reference/scheduled-tasks/update-a-scheduled-task"},{"title":"Delete a scheduled task","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/deployments/{deploymentId}/scheduled-tasks/{taskId}","href":"/api-reference/scheduled-tasks/delete-a-scheduled-task"},{"title":"Run a scheduled task now","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/scheduled-tasks/{taskId}/run","href":"/api-reference/scheduled-tasks/run-a-scheduled-task-now"},{"title":"List a scheduled task's runs","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/scheduled-tasks/{taskId}/runs","href":"/api-reference/scheduled-tasks/list-a-scheduled-tasks-runs"}]},{"group":"Workspace","pages":[{"title":"List shared workspace items","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/shared-workspace","href":"/api-reference/workspace/list-shared-workspace-items"},{"title":"List workspace items","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workspace","href":"/api-reference/workspace/list-workspace-items"},{"title":"Delete workspace items in bulk","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workspace/bulk-delete","href":"/api-reference/workspace/delete-workspace-items-in-bulk"},{"title":"Move workspace items in bulk","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workspace/bulk-move","href":"/api-reference/workspace/move-workspace-items-in-bulk"},{"title":"Move a workspace item","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/workspace/move","href":"/api-reference/workspace/move-a-workspace-item"}]},{"group":"Agents","pages":[{"title":"Get agent defaults","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/agent-defaults","href":"/api-reference/agents/get-agent-defaults"},{"title":"Get agent suggestions","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/agent-suggestions","href":"/api-reference/agents/get-agent-suggestions"}]},{"group":"Users","pages":[{"title":"Update my settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/users/me/settings","href":"/api-reference/users/update-my-settings"}]},{"group":"Users Admin","pages":[{"title":"Create user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/users","href":"/api-reference/users-admin/create-user"},{"title":"Apply an action to many users","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/users/bulk","href":"/api-reference/users-admin/apply-an-action-to-many-users"},{"title":"Update user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/users/{id}","href":"/api-reference/users-admin/update-user"},{"title":"Delete user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/users/{id}","href":"/api-reference/users-admin/delete-user"},{"title":"List a user's roles","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/users/{id}/roles","href":"/api-reference/users-admin/list-a-users-roles"}]},{"group":"API Keys","pages":[{"title":"List API keys","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/api-keys","href":"/api-reference/api-keys/list-api-keys"},{"title":"Create API key","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/api-keys","href":"/api-reference/api-keys/create-api-key"},{"title":"Get API key","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/api-keys/{id}","href":"/api-reference/api-keys/get-api-key"},{"title":"Delete API key","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/api-keys/{id}","href":"/api-reference/api-keys/delete-api-key"}]},{"group":"Roles","pages":[{"title":"List custom roles","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/roles","href":"/api-reference/roles/list-custom-roles"},{"title":"Create a custom role","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/roles","href":"/api-reference/roles/create-a-custom-role"},{"title":"Get a custom role","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/roles/{roleId}","href":"/api-reference/roles/get-a-custom-role"},{"title":"Update a custom role","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/roles/{roleId}","href":"/api-reference/roles/update-a-custom-role"},{"title":"Delete a custom role","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/roles/{roleId}","href":"/api-reference/roles/delete-a-custom-role"},{"title":"List the users holding a role","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/roles/{roleId}/users","href":"/api-reference/roles/list-the-users-holding-a-role"},{"title":"Assign a role to a user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/roles/{roleId}/users/{userId}","href":"/api-reference/roles/assign-a-role-to-a-user"},{"title":"Remove a role from a user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/roles/{roleId}/users/{userId}","href":"/api-reference/roles/remove-a-role-from-a-user"}]},{"group":"User Attributes","pages":[{"title":"Get user attributes","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/user-attributes","href":"/api-reference/user-attributes/get-user-attributes"},{"title":"Create user attribute","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/user-attributes","href":"/api-reference/user-attributes/create-user-attribute"},{"title":"Update user attribute","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/user-attributes/{id}","href":"/api-reference/user-attributes/update-user-attribute"}]},{"group":"User Attribute Values","pages":[{"title":"Upsert user attribute value","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/user-attribute-values","href":"/api-reference/user-attribute-values/upsert-user-attribute-value"},{"title":"Get user attribute values","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/user-attribute-values/{userId}","href":"/api-reference/user-attribute-values/get-user-attribute-values"}]},{"group":"Tenant Settings","pages":[{"title":"Get tenant settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/tenant/settings","href":"/api-reference/tenant-settings/get-tenant-settings"},{"title":"Update tenant settings","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/tenant/settings","href":"/api-reference/tenant-settings/update-tenant-settings"}]},{"group":"OAuth Integrations","pages":[{"title":"List OAuth integrations","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/oauth-integrations","href":"/api-reference/oauth-integrations/list-oauth-integrations"},{"title":"Create OAuth integration","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/oauth-integrations","href":"/api-reference/oauth-integrations/create-oauth-integration"},{"title":"Get OAuth integration","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/oauth-integrations/{id}","href":"/api-reference/oauth-integrations/get-oauth-integration"},{"title":"Update OAuth integration","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/oauth-integrations/{id}","href":"/api-reference/oauth-integrations/update-oauth-integration"},{"title":"Delete OAuth integration","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/oauth-integrations/{id}","href":"/api-reference/oauth-integrations/delete-oauth-integration"}]},{"group":"User OAuth Tokens","pages":[{"title":"List user OAuth tokens","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/user-oauth-tokens","href":"/api-reference/user-oauth-tokens/list-user-oauth-tokens"},{"title":"Get user OAuth token","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/user-oauth-tokens/{integrationId}","href":"/api-reference/user-oauth-tokens/get-user-oauth-token"},{"title":"Revoke user OAuth token","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/user-oauth-tokens/{integrationId}","href":"/api-reference/user-oauth-tokens/revoke-user-oauth-token"},{"title":"Initiate OAuth flow","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/user-oauth-tokens/{integrationId}/initiate","href":"/api-reference/user-oauth-tokens/initiate-oauth-flow"}]},{"group":"OIDC Token Configs","pages":[{"title":"List OIDC token configs","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/oidc-token-configs","href":"/api-reference/oidc-token-configs/list-oidc-token-configs"},{"title":"Create OIDC token config","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/oidc-token-configs","href":"/api-reference/oidc-token-configs/create-oidc-token-config"},{"title":"Get OIDC token config","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/oidc-token-configs/{id}","href":"/api-reference/oidc-token-configs/get-oidc-token-config"},{"title":"Update OIDC token config","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/oidc-token-configs/{id}","href":"/api-reference/oidc-token-configs/update-oidc-token-config"},{"title":"Delete OIDC token config","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/oidc-token-configs/{id}","href":"/api-reference/oidc-token-configs/delete-oidc-token-config"}]},{"group":"App Theme","pages":[{"title":"Get app config","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/app-config","href":"/api-reference/app-theme/get-app-config"}]},{"group":"Embed","pages":[{"title":"Get an embeddable dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed/dashboard/{publicId}","href":"/api-reference/embed/get-an-embeddable-dashboard"},{"title":"Enable or disable signed embedding for a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/embed/dashboard/{publicId}","href":"/api-reference/embed/enable-or-disable-signed-embedding-for-a-dashboard"},{"title":"List comment threads on an embeddable dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed/dashboard/{publicId}/comments","href":"/api-reference/embed/list-comment-threads-on-an-embeddable-dashboard"},{"title":"Post a comment on an embeddable dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/dashboard/{publicId}/comments","href":"/api-reference/embed/post-a-comment-on-an-embeddable-dashboard"},{"title":"List embed users mentionable in a dashboard comment","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed/dashboard/{publicId}/comments/mentionable-users","href":"/api-reference/embed/list-embed-users-mentionable-in-a-dashboard-comment"},{"title":"Edit a comment on an embeddable dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/embed/dashboard/{publicId}/comments/{commentId}","href":"/api-reference/embed/edit-a-comment-on-an-embeddable-dashboard"},{"title":"Delete a comment on an embeddable dashboard","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/embed/dashboard/{publicId}/comments/{commentId}","href":"/api-reference/embed/delete-a-comment-on-an-embeddable-dashboard"},{"title":"Resolve or re-open a comment thread","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/dashboard/{publicId}/comments/{commentId}/resolve","href":"/api-reference/embed/resolve-or-re-open-a-comment-thread"},{"title":"Run a python report over dashboard-filtered SQL","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/dashboard/{publicId}/python-run","href":"/api-reference/embed/run-a-python-report-over-dashboard-filtered-sql"},{"title":"Generate an embed session","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/generate-session","href":"/api-reference/embed/generate-an-embed-session"},{"title":"Revoke an embed session","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/session/revoke","href":"/api-reference/embed/revoke-an-embed-session"},{"title":"Exchange a session for an embed token","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed/session/token","href":"/api-reference/embed/exchange-a-session-for-an-embed-token"}]},{"group":"Embed Tenants","pages":[{"title":"List embed tenants","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed-tenants","href":"/api-reference/embed-tenants/list-embed-tenants"},{"title":"Delete embed tenant","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/embed-tenants/{embedTenantName}","href":"/api-reference/embed-tenants/delete-embed-tenant"},{"title":"List embed groups","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed-tenants/{embedTenantName}/groups","href":"/api-reference/embed-tenants/list-embed-groups"},{"title":"Create an embed group","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed-tenants/{embedTenantName}/groups","href":"/api-reference/embed-tenants/create-an-embed-group"},{"title":"Get an embed group","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed-tenants/{embedTenantName}/groups/{id}","href":"/api-reference/embed-tenants/get-an-embed-group"},{"title":"Update an embed group","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml patch /api/v1/embed-tenants/{embedTenantName}/groups/{id}","href":"/api-reference/embed-tenants/update-an-embed-group"},{"title":"Delete an embed group","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/embed-tenants/{embedTenantName}/groups/{id}","href":"/api-reference/embed-tenants/delete-an-embed-group"},{"title":"List embed group members","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed-tenants/{embedTenantName}/groups/{id}/users","href":"/api-reference/embed-tenants/list-embed-group-members"},{"title":"Add embed group members","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed-tenants/{embedTenantName}/groups/{id}/users","href":"/api-reference/embed-tenants/add-embed-group-members"},{"title":"Remove embed group members","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml delete /api/v1/embed-tenants/{embedTenantName}/groups/{id}/users","href":"/api-reference/embed-tenants/remove-embed-group-members"},{"title":"Provision an embed user","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed-tenants/{embedTenantName}/user","href":"/api-reference/embed-tenants/provision-an-embed-user"},{"title":"List embed users","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/embed-tenants/{embedTenantName}/users","href":"/api-reference/embed-tenants/list-embed-users"},{"title":"Provision embed users in bulk","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/embed-tenants/{embedTenantName}/users","href":"/api-reference/embed-tenants/provision-embed-users-in-bulk"}]},{"group":"Dashboard Embed Access","pages":[{"title":"List workbooks accessible to an embed tenant","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/embed-tenants/{embedTenantName}/workbooks","href":"/api-reference/dashboard-embed-access/list-workbooks-accessible-to-an-embed-tenant"},{"title":"List a dashboard's embed access","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/embed-access","href":"/api-reference/dashboard-embed-access/list-a-dashboards-embed-access"},{"title":"Update a dashboard's embed access","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml put /api/v1/deployments/{deploymentId}/workbooks/{workbookId}/embed-access","href":"/api-reference/dashboard-embed-access/update-a-dashboards-embed-access"}]},{"group":"Usage Analytics","pages":[{"title":"Issue a Cube API token for Usage Analytics","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/usage-analytics/token","href":"/api-reference/usage-analytics/issue-a-cube-api-token-for-usage-analytics"}]},{"group":"OpenAPI Spec","pages":[{"title":"Get the OpenAPI specification","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/spec","href":"/api-reference/openapi-spec/get-the-openapi-specification"}]},{"group":"Chat History","pages":[{"title":"List chat threads","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/chat-history/threads","href":"/api-reference/chat-history/list-chat-threads"},{"title":"Get a chat thread","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/chat-history/threads/{chatId}","href":"/api-reference/chat-history/get-a-chat-thread"}]},{"group":"Ossie Conversion","pages":[{"title":"Start an Apache Ossie conversion","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml post /api/v1/deployments/{deploymentId}/ossie-conversions","href":"/api-reference/ossie-conversion/start-an-apache-ossie-conversion"},{"title":"Get an Apache Ossie conversion status","deprecated":null,"version":null,"openapi":"/api-reference/api.yaml get /api/v1/deployments/{deploymentId}/ossie-conversi
[...]
